Documentation · API reference
GET/api/v1/sites/{site}/requests

Visitors' requests about their data, newest first

Visitors' requests about their data, newest first.

Parameters

sitein the address
neededA site's id or name

The answer

Status 200

RequestsView

easy_answer
stringneededIn easy mode there is nothing to find, and this is why (DS-08).
mode
stringneeded`easy` or `hard`.
open
integerneeded
requests
list of RequestViewneeded
site
stringneeded

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/sites/example.org/requests \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/requests", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());